from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.conversations.update(conversation_id="conv_abc123", metadata={
"session_id": "sess_abc123",
"user_type": "premium",
"status": "active",
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.conversations.update({
conversationId: "conv_abc123",
update: {
metadata: {
"session_id": "sess_abc123",
"user_type": "premium",
"status": "active",
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Conversations.UpdateAsync(
conversationId: "conv_abc123",
body: new Update() {
Metadata = new Dictionary<string, string>() {
{ "session_id", "sess_abc123" },
{ "user_type", "premium" },
{ "status", "active" },
},
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"session_id": "sess_abc123",
"user_type": "premium",
"status": "active"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {session_id: 'sess_abc123', user_type: 'premium', status: 'active'}})
};
fetch('https://apigw.mka1.com/api/v1/llm/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "conv_abc123",
"object": "conversation",
"created_at": 1704067200,
"metadata": {
"session_id": "sess_abc123",
"user_type": "premium",
"status": "active"
}
}Update a conversation
Update a conversation’s metadata.
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.conversations.update(conversation_id="conv_abc123", metadata={
"session_id": "sess_abc123",
"user_type": "premium",
"status": "active",
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.conversations.update({
conversationId: "conv_abc123",
update: {
metadata: {
"session_id": "sess_abc123",
"user_type": "premium",
"status": "active",
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Conversations.UpdateAsync(
conversationId: "conv_abc123",
body: new Update() {
Metadata = new Dictionary<string, string>() {
{ "session_id", "sess_abc123" },
{ "user_type", "premium" },
{ "status", "active" },
},
}
);
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
The ID of the conversation
Body
Set of 16 key-value pairs to update.
Show child attributes
Show child attributes
Response
OK
The unique ID of the conversation
The object type, always 'conversation'
Unix timestamp of when the conversation was created
Unix timestamp of when the conversation was soft-deleted, or null if not deleted.
Set of 16 key-value pairs. Keys max 64 chars, values max 512 chars.
Show child attributes
Show child attributes
Identity of the conversation owner. Either a SHA256 hash or raw userId:externalUserId depending on IDENTITY_MODE.
Was this page helpful?